Blackbaud Luminate

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Luminate online

Luminate online

Luminate Online Administrator interface

  • Google Chrome, current stable version and one version back
  • Microsoft Internet Explorer, versions 10 - 11
  • Mozilla Firefox, current stable version and one version back

Luminate Online Constituent interface

  • Apple Safari, current stable version and one version back
  • Google Chrome, current stable version and one version back
  • Microsoft Internet Explorer, versions 10 - 11
  • Mozilla Firefox, current stable version and one version back
Luminate CMS

Luminate CMS Administrator interface

  • Microsoft Internet Explorer, versions 10 - 11
  • Mozilla Firefox, current stable version and one version back

Luminate CMS Constituent interface

  • Google Chrome, current stable version and one version back
  • Microsoft Internet Explorer, versions 10 -11
  • Mozilla Firefox, current stable version and one version back

Supported Luminate CRM browsers

The following chart provides information about supported browsers for Luminate CRM and its related products.

productsupported browsers
Luminate CRMBrowsers supported by Salesforce.com
Luminate CRM MultiCenterBrowsers supported by Salesforce.com
Luminate AnalyticsBrowsers supported by Salesforce.com